Draft Drawing/es: Difference between revisions

From FreeCAD Documentation
(Created page with "{{GuiCommand/es|Name=Draft_Drawing|Workbenches=Croquis, Arquitectura|MenuLocation=Croquis → Dibujo}}")
(Updating to match new version of source page)
(23 intermediate revisions by 3 users not shown)
Line 1: Line 1:
<languages/>
{{GuiCommand/es|Name=Draft_Drawing|Workbenches=[[Draft Module/es|Croquis]], [[Arch Module/es|Arquitectura]]|MenuLocation=Croquis → Dibujo}}
{{Docnav
|[[Draft_Clone|Clone]]
|[[Draft_Mirror|Mirror]]
|[[Draft_Module|Draft]]
|IconL=Draft_Clone.svg
|IconC=Workbench_Draft.svg
|IconR=Draft_Mirror.svg
}}


==Description==


{{VeryImportantMessage|Development of the [[Drawing Workbench|Drawing Workbench]] stopped in FreeCAD 0.16; the new [[TechDraw Workbench|TechDraw Workbench]] aiming to replace it was introduced in v0.17. Both workbenches are still provided in v0.17, but the Drawing Workbench may be removed in future releases.}}
This tool allows you to put selected objects on a svg [[Drawing Module|Drawing sheet]]. If no [[Drawing_templates|sheet]] exists in the document, a default one will be created.

<div class="mw-translate-fuzzy">
{{GuiCommand/es|Name=Draft_Drawing|Name/es=Dibujo|Workbenches=[[Draft Module/es|Croquis]], [[Arch Module/es|Arquitectura]]|MenuLocation=Croquis → Dibujo}}
</div>

==Descripción==

<div class="mw-translate-fuzzy">
Esta herramienta te permite poner los objetos seleccionados en una [[Drawing Module/es|hoja de dibujo]] SVG. Si no existe ninguna hoja en el documento, se creará una por defecto.
</div>

This tool works similarly to the [[Drawing View|Drawing View]] tool but is optimized for [[Draft Workbench|Draft Workbench]] objects, and can render 2D objects with a face filling. It can handle specific objects such as [[Draft Dimension|Draft Dimension]] and [[Draft Text|Draft Text]], that the [[Drawing View|Drawing View]] tool cannot handle.


[[Image:Draft drawing example.jpg|640px]]
[[Image:Draft drawing example.jpg|640px]]
{{Caption|Draft object and dimensions imported into a Drawing page}}


<div class="mw-translate-fuzzy">
==How to use==
==Utilización==
</div>


<div class="mw-translate-fuzzy">
# Select the objects you wish to put on a drawing sheet
# Selecciona los objetos que quieres poner en una hoja de dibujo
# Press the {{KEY|[[Image:Draft Drawing.png|16px]] [[Draft Drawing]]}} button
# Presiona el botón de {{KEY|[[Image:Draft Drawing.png|16px]] [[Draft Drawing/es|Dibujo]]}}
</div>


==Options==
==Notes==
* The tool will work best with 2D objects from the [[Draft Workbench|Draft Workbench]] or [[Sketcher Workbench|Sketcher Workbench]].
* The selected object can also be an [[Arch SectionPlane|Arch SectionPlane]], which will show the elements viewed by that plane.
* If there is no existing page, a new one will be created.
* If no page was selected but there is at least one in the document, the first page found will be used to put the projections.
* If you select a sheet and the objects already projected on that sheet, the projections will be updated.


==Opciones==
* Select objects you want to put on the drawing sheet. The tool will work best with flat 2D objects from the [[Draft Module|Draft]] or [[Sketcher Workbench|Sketcher]] modules.
* If the selected object is an [[Arch SectionPlane]], this tool will create an additional view of that section plane.
* In the same selection, add the page object you want to draw your objects to. If there is no existing page, a new one will be created. If you didn't select a page but there is at least one in the document, the first found one will be used to draw to.
* If you selected an existing sheet, and the objects in the selection that are already on that sheet (for ex. for a "Rectangle" object there is already a "ViewRectangle" object on the sheet), they will be substitued. This allows you to simply select all the objects and send them to an existing page, which will simply be updated.


<div class="mw-translate-fuzzy">
==Properties==
* Selecciona los objetos que quieras poner en la hoja de dibujo. La herramienta trabajará mejor con objetos planos 2D desde los módulos de [[Draft Module/es|Boceto]] o [[Sketcher Workbench/es|Croquizado]].
* Si el objeto seleccionado es una [[Arch SectionPlane/es|Sección plana de arquitectura]], esta herramienta creará una vista adicional de dicho plano de sección.
* En la misma selección, añade el objeto página en el que quieras dibujar tus objetos. Si no existe ninguna página, se creará una nueva. Si no se selecciona ningún objeto página pero existe al menos uno en el documento, el primero que se encuentre será en el que se dibuje.
* Si seleccionas una hoja de dibujo existente, y los objetos de la selección que estén ya en esa hoja de dibujo (por ejemplo para un objeto "rectángulo" que tuviera ya un objeto "ViewRectangle" en la hoja), serán sustituidos. Esto te permite simplemente seleccionar todos los objetos y enviarlos a una página existente, la cual simplemente se actualizará.
</div>


==Propiedades==
* {{PropertyData|Fill Style}}: For closed shapes, allows to specify one of the Default Draft fill styles, or use the shape color.
* {{PropertyData|Font Size}}: Allows you to specify the font size of texts and dimensions.
* {{PropertyData|Line Width}}: Allows you to specify the line width of viewed objects.


<div class="mw-translate-fuzzy">
==Scripting==
* {{PropertyData|Fill Style}}: Para formas cerradas, permite especificar uno de los estilos de relleno de Boceto, o utilizar el color de la forma.
* {{PropertyData|Font Size}}: Te permite especificar el tamaño de letra de los textos y dimensiones.
* {{PropertyData|Line Width}}: Te permite especificar el espesor de línea de los objetos visualizados.
</div>


<div class="mw-translate-fuzzy">
The Draft Drawing tool can by used in [[macros]] and from the python console by using the following function:
==Programación==
</div>


<div class="mw-translate-fuzzy">
<syntaxhighlight>
La herramienta de Dibujos del Boceto se puede utilizar en [[macros/es|macros]] y desde la consola de Python utilizando la siguiente función:
makeDrawingView (object,page)
</div>
</syntaxhighlight>


{{Code|code=
* Adds a view of the given object to the given page.
DrawingView = makeDrawingView(obj, page, lwmod=None, tmod=None, otherProjection=None)
* Returns the created view object.
}}


* Creates a {{incode|DrawingView}} from {{incode|obj}} in the specified {{incode|page}}.
Example:
* If given, {{incode|lwmod}} modifies line weights in percentage, and {{incode|tmod}} modifies text heights in percentage.


The attributes of the view usually need to be modified so that it is displayed correctly in the drawing page. In particular, the position is controlled by {{incode|X}} and {{incode|Y}}, which are given in millimeters, and {{incode|Scale}} is important to correctly fit the projected shape in the page. The scale usually ranges from 1 to 0.25 (1:1 to 1:4) for small solids, and from 0.02 to 0.01 (1:50 to 1:100) for typical architectural elements.
<syntaxhighlight>
import FreeCAD,Draft
obj = FreeCAD.ActiveDocument.ActiveObject
page = FreeCAD.ActiveDocument.Page
Draft.makeDrawingView(obj,page)
</syntaxhighlight>


Ejemplo:
<languages/>

{{Code|code=
import FreeCAD, Draft, Drawing

obj = Draft.makePolygon(5, 1000)
page = FreeCAD.ActiveDocument.addObject('Drawing::FeaturePage', 'Page')
page.Template = FreeCAD.getResourceDir() + 'Mod/Drawing/Templates/A3_Landscape.svg'

View = Draft.makeDrawingView(obj, page)
View.Scale = 0.02
FreeCAD.ActiveDocument.recompute()

View.X = 200
View.Y = 150
FreeCAD.ActiveDocument.recompute()
}}

{{Docnav
|[[Draft_Clone|Clone]]
|[[Draft_Mirror|Mirror]]
|[[Draft_Module|Draft]]
|IconL=Draft_Clone.svg
|IconC=Workbench_Draft.svg
|IconR=Draft_Mirror.svg
}}

{{Draft Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{clear}}

Revision as of 05:00, 21 February 2020


Development of the Drawing Workbench stopped in FreeCAD 0.16; the new TechDraw Workbench aiming to replace it was introduced in v0.17. Both workbenches are still provided in v0.17, but the Drawing Workbench may be removed in future releases.

Dibujo

Ubicación en el Menú
Croquis → Dibujo
Entornos de trabajo
Croquis, Arquitectura
Atajo de teclado por defecto
Ninguno
Introducido en versión
-
Ver también
Ninguno

Descripción

Esta herramienta te permite poner los objetos seleccionados en una hoja de dibujo SVG. Si no existe ninguna hoja en el documento, se creará una por defecto.

This tool works similarly to the Drawing View tool but is optimized for Draft Workbench objects, and can render 2D objects with a face filling. It can handle specific objects such as Draft Dimension and Draft Text, that the Drawing View tool cannot handle.

Draft object and dimensions imported into a Drawing page

Utilización

  1. Selecciona los objetos que quieres poner en una hoja de dibujo
  2. Presiona el botón de Dibujo

Notes

  • The tool will work best with 2D objects from the Draft Workbench or Sketcher Workbench.
  • The selected object can also be an Arch SectionPlane, which will show the elements viewed by that plane.
  • If there is no existing page, a new one will be created.
  • If no page was selected but there is at least one in the document, the first page found will be used to put the projections.
  • If you select a sheet and the objects already projected on that sheet, the projections will be updated.

Opciones

  • Selecciona los objetos que quieras poner en la hoja de dibujo. La herramienta trabajará mejor con objetos planos 2D desde los módulos de Boceto o Croquizado.
  • Si el objeto seleccionado es una Sección plana de arquitectura, esta herramienta creará una vista adicional de dicho plano de sección.
  • En la misma selección, añade el objeto página en el que quieras dibujar tus objetos. Si no existe ninguna página, se creará una nueva. Si no se selecciona ningún objeto página pero existe al menos uno en el documento, el primero que se encuentre será en el que se dibuje.
  • Si seleccionas una hoja de dibujo existente, y los objetos de la selección que estén ya en esa hoja de dibujo (por ejemplo para un objeto "rectángulo" que tuviera ya un objeto "ViewRectangle" en la hoja), serán sustituidos. Esto te permite simplemente seleccionar todos los objetos y enviarlos a una página existente, la cual simplemente se actualizará.

Propiedades

  • DatosFill Style: Para formas cerradas, permite especificar uno de los estilos de relleno de Boceto, o utilizar el color de la forma.
  • DatosFont Size: Te permite especificar el tamaño de letra de los textos y dimensiones.
  • DatosLine Width: Te permite especificar el espesor de línea de los objetos visualizados.

Programación

La herramienta de Dibujos del Boceto se puede utilizar en macros y desde la consola de Python utilizando la siguiente función:

DrawingView = makeDrawingView(obj, page, lwmod=None, tmod=None, otherProjection=None)
  • Creates a DrawingView from obj in the specified page.
  • If given, lwmod modifies line weights in percentage, and tmod modifies text heights in percentage.

The attributes of the view usually need to be modified so that it is displayed correctly in the drawing page. In particular, the position is controlled by X and Y, which are given in millimeters, and Scale is important to correctly fit the projected shape in the page. The scale usually ranges from 1 to 0.25 (1:1 to 1:4) for small solids, and from 0.02 to 0.01 (1:50 to 1:100) for typical architectural elements.

Ejemplo:

import FreeCAD, Draft, Drawing

obj = Draft.makePolygon(5, 1000)
page = FreeCAD.ActiveDocument.addObject('Drawing::FeaturePage', 'Page')
page.Template = FreeCAD.getResourceDir() + 'Mod/Drawing/Templates/A3_Landscape.svg'

View = Draft.makeDrawingView(obj, page)
View.Scale = 0.02
FreeCAD.ActiveDocument.recompute()

View.X = 200
View.Y = 150
FreeCAD.ActiveDocument.recompute()